Bug 449867 - Monospace (probably bitmap) fonts mess up
Monospace (probably bitmap) fonts mess up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 20:31 EDT by Einars Lielmanis
Modified: 2018-04-11 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Artefacts in vim (12.99 KB, image/png)
2008-06-03 20:31 EDT, Einars Lielmanis
no flags Details
Current xorg.conf (822 bytes, text/plain)
2008-06-13 17:08 EDT, Rodolfo Alcazar
no flags Details
Current Xorg.0.log (37.20 KB, text/plain)
2008-06-13 17:10 EDT, Rodolfo Alcazar
no flags Details
A bug screenshot, taken a minute ago (17.43 KB, image/png)
2008-06-13 17:16 EDT, Rodolfo Alcazar
no flags Details

  None (edit)
Description Einars Lielmanis 2008-06-03 20:31:14 EDT
Description of problem:

Often some of the fonts, namely Terminus, but not only that, would mess up and
leave trails behind.


How reproducible:

1. Set gnome, or any application default monospace font to Terminus, any size,
2. Do something in (gnome-)terminal (like, repeatedly ls -la), or open vim
3. Observe occasional artefacts and screen corruption.


Additional info:

fully updated f9, with nvidia driver from livna.
Comment 1 Einars Lielmanis 2008-06-03 20:31:14 EDT
Created attachment 308310 [details]
Artefacts in vim
Comment 2 Matěj Cepl 2008-06-04 08:51:40 EDT
Thanks for the report. We are sorry that we cannot help you with your problem,
but we are not able to support binary-only drivers. If you would be able to
reproduce this issue using only open source software and it is not duplicate of
bug 446957, please, reopen this bug with the additional information, but in
meantime I have no choice than to close this bug as CANTFIX (because we really
cannot fix it).

For users who are experiencing problems installing, configuring, or using the
unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides
indirect customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and passes them on to
Nvidia engineers for investigation.  Once they've isolated a particular problem,
it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

    http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have
experienced the particular problem may be able to assist.  If there is a real
bug occuring, Nvidia will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system releases that they
officially support.

While Red Hat does not support the proprietary nvidia driver, users requiring
technical support may also find the various X.Org, XFree86, and Red Hat mailing
lists helpful in finding assistance:

X.Org mailing lists:
    http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
    http://www.xfree86.org/sos/lists.html

Red Hat mailing lists:
    https://listman.redhat.com/mailman/listinfo
Comment 3 Rodolfo Alcazar 2008-06-13 07:22:56 EDT
This problem occurs also with nv driver.

Maybe related/duplicated:
https://bugzilla.redhat.com/show_bug.cgi?id=450698
https://bugzilla.redhat.com/show_bug.cgi?id=449867
https://bugzilla.redhat.com/attachment.cgi?id=308310
Comment 4 Matěj Cepl 2008-06-13 16:48:31 EDT
Rodolfo, could we get your /etc/X11/xorg.conf and /var/log/Xorg.*.log, please?
Comment 5 Rodolfo Alcazar 2008-06-13 17:08:21 EDT
Created attachment 309296 [details]
Current xorg.conf
Comment 6 Rodolfo Alcazar 2008-06-13 17:10:17 EDT
Created attachment 309297 [details]
Current Xorg.0.log
Comment 7 Rodolfo Alcazar 2008-06-13 17:16:44 EDT
Created attachment 309302 [details]
A bug screenshot, taken a minute ago

I see this behavior with "nv" and "nvidia" drivers with monochrome fonts, in
various applications (abiword, old mysqlcc, lmms, mainly, mysqlcc ALWAYS).
lspci:
01:00.0 VGA compatible controller: nVidia Corporation GeForce 7100 GS (rev a1).
more screenshots on http://www.padep.org.bo/fonts/ Thanks!
Comment 8 Bug Zapper 2009-06-09 21:23:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:43:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.